PCAP_SET_IMMEDIATE_MODE(3PCAP)

NAME
pcap_set_immediate_mode - set immediate mode for a not-yet-activated capture handle

SYNOPSIS
#include <pcap/pcap.h>

int pcap_set_immediate_mode(pcap_t *p, int immediate_mode);

DESCRIPTION
pcap_set_immediate_mode() sets whether immediate mode should be set on a capture handle when the handle is activated. If immediate_mode is non-zero, immediate mode will be set, otherwise it will not be set.

RETURN VALUE
pcap_set_immediate_mode() returns 0 on success or PCAP_ERROR_ACTIVATED if called on a capture handle that has been activated.

SEE ALSO
pcap(3PCAP), pcap_create(3PCAP), pcap_activate(3PCAP)